%define upstream_name    Module-Metadata
%define upstream_version 1.000027

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	2

Summary:	Gather package and POD information from perl module files

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(version)
BuildRequires:	perl(Pod::Coverage)

BuildArch:	noarch

%description
The *Tie::CPHash* module provides a hash table that is case preserving but
case insensitive. This means that

    $cphash{KEY}    $cphash{key}
    $cphash{Key}    $cphash{keY}

all refer to the same entry. Also, the hash remembers which form of the key
was last used to store the entry. The 'keys' and 'each' functions will
return the key that was used to set the value.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml META.json README CONTRIBUTING
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog

* Tue Oct 06 2015 Denis Silakov <uragan@localhost.localdomain> 1.0.27-2
- (09beec6) Move to main


